@charset "utf-8";

body {
    background-color: #FFFAFA;
    background-image: url(image/corner_lefttop.svg), url(image/corner_righttop.svg), url(image/corner_leftdown.svg), url(image/corner_rightdown.svg);
    background-repeat: no-repeat, no-repeat, no-repeat, no-repeat;
    background-position: top left, top right, bottom left, bottom right;
    background-attachment: fixed;
    background-size: 100px, 100px, 100px, 100px;
    font-family: "Times New Roman", "微軟正黑體", sans-serif;
    color: #333;
    text-align: center;
    line-height: 1.8;
}

/* 連結設定 */
a {
    color: maroon;
    text-decoration: none;
    transition: 0.75s; /* 轉場效果 */
}

a:hover {
    color: firebrick;
    border-bottom: 1px solid firebrick;
}

/* 導覽列與頁尾 */
header, nav, footer {
    text-align: center;
    color: maroon;
}

/*水平排列 */
nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    margin: 20px;
}

nav ul li {
    margin: 0 15px;
}

/* 垂直排列 */
section ul {
    list-style: none;
    padding: 0;
}

/* 標題設定 */
h1 {
    font-family: "微軟正黑體", serif;
    color: maroon;
    font-size: 25px;
    letter-spacing: 6px; /* 調整字距 */
    margin: 50px auto;
    padding: 15px;
    border-radius: 5px 15px 30px;
    display: inline-block;
    box-shadow: 3px -3px 10px rgba(128, 0, 0, 0.2);
    text-shadow: 2px 2px 2.5px rgba(0, 0, 0, 0.3);
    background: linear-gradient(to right, rgba(128, 0, 0, 0.025), rgba(178, 34, 34, 0.132));
}

h2 {
    font-family: "微軟正黑體", serif;
    color: maroon;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    margin: 40px auto;
    letter-spacing: 4px;
}

h2::after {
    content: "";
    flex: 1;
    height: 1px;
    background-color: rgba(128, 0, 0, 0.3);
    max-width: 150px;
}

#contents {
    max-width: 650px;
    margin: 40px auto;
    padding: 40px;
}

img {
    width: 250px;
    margin: 30px auto;
    display: block; /* 圖片置中 */
}

#Story > p {
    text-align: justify;
    color: #555;
}

#name{
    font-family: "Times New Roman", "微軟正黑體", sans-serif;
    font-size: 50px;
    color: maroon;
    line-height: 1;
}

.home{
    font-family: "微軟正黑體", sans-serif
}

.home a {
    position: relative;
    font-weight: bold;
    transition: 0.75s;
}

.home a::before {
    content: ""; 
    position: absolute;
    width: 30px; 
    height: 30px;
    left: 0px;
    top: 50%;
    transform: translateY(-50%); 
    background-image: url("image/lavender.png"), url("image/circle.png");
    background-repeat: no-repeat, no-repeat;
    background-position: center, center; 
    background-size: 60%, contain;     
    opacity: 0;
    transition: 1.2s;
}

.home a:hover::before {
    opacity: 1;
    left: -35px; 
}

.home a:hover {
    color: firebrick;       
    padding-left: 20px; 
}

strong{
    font-weight: bold;
    color: maroon;
}

footer {
    margin: 80px 0 40px;
    font-size: 1em;
    color: #999;
}

.zen-old-mincho-bold {
  font-family: "Zen Old Mincho", serif;
  font-weight: 700;
  font-style: normal;
}

